PHP Modules

I have been trying to install a few CMS scripts and keep running into these missing modules. I have tried to install them and researched several ways to do this. I have installed the pear ZipArchive module and it continues to show missing zip, I have not found anything referencing the bcmath module…

I have tried to install the normal php zip module but havnt had any luck

Can any one point me in the right direction on how to properly install the php zip and bcmath modules?

A fresh install of virtualmin is close on my mind to see if that helps!

Howdy,

You’re not likely seeing an issue with your Virtualmin installation. You may just need to make some tweaks to ensure that those modules are installed and enabled.

I believe I recall that you were using Ubuntu 16.04.

Try running this command:

apt-get install php7.0-bcmath php7.0-zip

Does that help?

If not, what PHP Execution Mode is it that you’re using?

It may be a matter of manually enabling the module in that particular mode’s PHP config file.

-Eric

I have tried that and just attempted it again and this is the out put i get.

[server@server ~]# apt-get install php7.0-bcmath php7.0-zip
Reading package lists…
Building dependency tree…
Reading state information…
The following packages were automatically installed and are no longer required:
linux-headers-4.4.0-116 linux-headers-4.4.0-116-generic
linux-headers-4.4.0-124 linux-headers-4.4.0-124-generic
linux-image-4.4.0-116-generic linux-image-4.4.0-124-generic
linux-image-extra-4.4.0-116-generic linux-image-extra-4.4.0-124-generic
Use ‘apt autoremove’ to remove them.
The following additional packages will be installed:
libpcre3 libssl1.1 libzip5 php7.0 php7.0-cgi php7.0-cli php7.0-common
php7.0-curl php7.0-fpm php7.0-gd php7.0-json php7.0-mbstring php7.0-mysql
php7.0-opcache php7.0-readline php7.0-xml
The following NEW packages will be installed:
libssl1.1 libzip5 php7.0-bcmath php7.0-zip
The following packages will be upgraded:
libpcre3 php7.0 php7.0-cgi php7.0-cli php7.0-common php7.0-curl php7.0-fpm
php7.0-gd php7.0-json php7.0-mbstring php7.0-mysql php7.0-opcache
php7.0-readline php7.0-xml
14 upgraded, 4 newly installed, 0 to remove and 17 not upgraded.
Need to get 7274 kB of archives.
After this operation, 3798 kB of additional disk space will be used.
Do you want to continue? [Y/n] Abort.

I do not get to hit y or n it just immediately aborts.
my installation is also failing to update packages for some reason now as well…

To upgrade to the pro version does it require a fresh install?

Ah, I think I see the issue… are you running that command from within Virtualmin/Webmin?

To install packages using apt requires user interaction (ie, hitting that ‘y’ key)… which unfortunately doesn’t work if you’re doing it from within Virtualmin/Webmin.

To get around that, you can log in as root via SSH to run the commands.

Alternatively, there’s also a Software Packages option in Webmin that you can use to perform the installation.

-Eric

Yeah I have been running it through the terminal in we admin. I will try it through ssh.

And what is the software package to install it with. I have installed the version associated with pear

I suspect all you’ll need to do is run the “apt-get” command mentioned in Comment #2 above using SSH as root, that will likely resolve the issue you’re seeing in your web app. You probably don’t need to make any changes using PEAR.

-Eric

I got it worked out! Thanks!